{% extends "quizapp/base.html" %}
{% block title %} | Téma {{ topic.name }}{% endblock %}
{% block body %}
    <div class="row h-100" style="border: 0; background: linear-gradient(to bottom, rgba(255,255,255,0) 20%, rgba(255,255,255,1)), url({% if topic.image and topic.image.strip %}{{ topic.image }}{% else %}https://wallpapercave.com/wp/wp2013746.jpg{% endif %}); background-repeat: no-repeat; background-size: cover ">
        <div class="col-12 ">
        <div class="row d-flex justify-content-center">
        <div class="card bg-light col-11" style="padding: 0; margin-top: 8rem">
            <div class="card-header">
                <div class="row">
                    <ol class="breadcrumb" style="background-color: transparent; padding-top: 0; padding-bottom: 0">
                        <li class="breadcrumb-item">
                            <a href="{% url 'quiz' topic.quiz.id %}" style="color: inherit">
                            {{ topic.quiz.start|date:"d. m. Y" }}
                                {% if topic.quiz.start|date:"d. m. Y" != topic.quiz.end|date:"d. m. Y" %}
                                    - {{ topic.quiz.end|date:"d. m. Y" }}
                                {% endif %}
                            </a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">{{ topic.name }}</li>
                    </ol>
                </div>
            <hr style="margin-top: 0"/>
                <div class="row">
                    <div class="col-8 d-flex  align-items-center">
                        <div>
                            <h4 class="card-title d-flex justify-content-between align-items-center">
                                {{ topic.name }}
                            </h4>
                            <h5 class="card-subtitle mb-2 text-muted">{{ topic.description }}</h5>
                        </div>
                    </div>
                    <div class="col-4  vcenter-item wrapper">
                        <a class="btn btn-danger" href="{% url 'deletetopic' topic.id %}" role="button" style="float: right; margin: 5px">Smazat</a>
                        <a class="btn btn-primary" href="{% url 'edittopic' topic.id %}" role="button" style="float: right; margin: 5px">Upravit</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
            <div class="row">
                <div class="col-8">
                    <h6>Otázky:</h6>
                </div>
                <div class="col-4">
                    <a class="btn btn-primary" style="float: right" href="{% url 'newquestion' topic.id %}" role="button">Nová otázka</a>
                </div>
            </div>
{#                <h5 class="card-title">Light card title</h5>#}
                {% for question in questions %}
                <a href="{% url 'question' question.id %}" style="color: inherit">
                    <p class="card-text">{{ question.question_text }}</p>
                </a>
                <hr/>
            {% endfor %}

            </div>
        </div>
        </div>
    </div>
{% endblock %}
